Base Employee API

Overview

This section covers basic information on the Base Employee API endpoints. To learn more about the API and its endpoints, follow the links below:

Base Employee API endpoints

circle-info

Our API is a data retrieval tool. The endpoints do not support analytic features.

Base Employee API features four search and two collect endpoints for searching and collecting relevant Base Employee data.

Request type
Endpoint
Function

POST

/v2/employee_base/search/filter

Search for relevant employee profiles using search filters

POST

/v2/employee_base/search/filter/preview

Retrieves a small set of partial data using search filter

POST

/v2/employee_base/search/es_dsl

Search for relevant employee profiles using Elasticsearch DSL schema

POST

/v2/employee_base/search/es_dsl/preview

Retrieves a small set of partial data using Elasticsearch queries

GET

/v2/employee_base/collect/{employee_id}

Collect Base Employee data using IDs

GET

/v2/employee_base/collect/{profile_url/shorthand_name}

Collect Base Employee data using profile URLs or shorthand names*

*📌 Full profile URL example: www.professional-network.com/john-doe. Shorthand name example: john-doe.

Bulk Collect

Bulk Collect (Bulk API) expands upon Base Employee API's functionality, featuring five POST and two GET endpoints.

Request type
Endoint

POST

/v2/data_requests/employee_base/ids

POST

/v2/data_requests/employee_base/es_dsl

POST

/v2/data_requests/employee_base/filter

POST

/v2/data_requests/employee_base/shorthand_names

POST

/v2/data_requests/employee_base/urls

GET

/v2/data_requests/{data_request_id}/files

GET

/v2/data_requests/{data_request_id}/files/{file_name}

Webhook subscriptions

Webhooks enable you to receive automatic, event-driven notifications when changes are detected in your subscribed employee profiles.

Use the following endpoints to subscribe to profile changes:

Request type
Endpoint

POST

/v2/subscriptions/employee_base/es_dsl

POST

/v2/subscriptions/employee_base/filter

POST

/v2/subscriptions/employee_base/ids

Use the following endpoints to subscribe to employee experience updates:

Request type
Endpoint

POST

/v2/subscriptions/experience_changes/employee_base/ids

POST

/v2/subscriptions/experience_changes/employee_base/es_dsl

Learn more about Webhook subscriptions

Request types

circle-exclamation

Base Employee API supports two types of requests:

  • Search endpoints support POST requests only.

  • Collect endpoints support the GET requests only.

Request type
Endpoint

POST

/v2/employee_base/search/filter

POST

/v2/employee_base/search/filter/preview

POST

/v2/employee_base/search/es_dsl

POST

/v2/employee_base/search/es_dsl/preview

GET

/v2/employee_base/collect/{employee_id}

GET

/v2/employee_base/collect/{profile_url/shorthand_name}

Rate limits

Base Employee API endpoints restrict the number of requests allowed per second.

Search endpoints

Collection endpoints

Bulk Collect search and collection endpoints

18 requests per second

54 requests per second

27 requests per second

Credits

One search credits are deducted for one successful (200) request in the search endpoint:

  • /v2/employee_base/search/filter

  • /v2/employee_base/search/filter/preview

  • /v2/employee_base/search/es_dsl

  • /v2/employee_base/search/es_dsl/preview

One collection credits are deducted for one successful (200) request in the collection endpoints:

  • /v2/employee_base/collect/{employee_id}

  • /v2/employee_base/collect/{profile_url/shorthand_name}


Read more about the credits in the following topic:

Last updated

Was this helpful?